# List of job scope templates for EOR contracts

GET https://api.letsdeel.com/rest/v2/eor/job-scopes

Returns a list of predefined job scope templates for an EOR contract, which can be filtered by team. The list includes both predefined and custom job scope templates belonging to the user's teams.
 **Token scopes**: `organizations:read`

Reference: https://developer.deel.com/api/eor-endpoints/eor-job-scopes/get-job-scopes

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /eor/job-scopes:
    get:
      operationId: get-job-scopes
      summary: List of job scope templates for EOR contracts
      description: >-
        Returns a list of predefined job scope templates for an EOR contract,
        which can be filtered by team. The list includes both predefined and
        custom job scope templates belonging to the user's teams.
         **Token scopes**: `organizations:read`
      tags:
        - subpackage_eorJobScopes
      parameters:
        - name: team
          in: query
          description: Team public id
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfull response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/EorJobScopesGetResponsesContentApplicationJsonSchemaItems
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: >-
            Not Found - Organization not linked to profile or no teams found for
            the organization
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListOfJobScopeTemplatesForEorContractsRequestNotFoundError
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    EorJobScopesGetResponsesContentApplicationJsonSchemaItemsTeam:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
          description: Unique identifier of the associated team, if any
        name:
          type:
            - string
            - 'null'
          description: Name of the team associated with the job scope, if any
      title: EorJobScopesGetResponsesContentApplicationJsonSchemaItemsTeam
    EorJobScopesGetResponsesContentApplicationJsonSchemaItemsCreatedBy:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
          description: Unique identifier of the user who created the job scope
        name:
          type:
            - string
            - 'null'
          description: Name of the user who created the job scope
      title: EorJobScopesGetResponsesContentApplicationJsonSchemaItemsCreatedBy
    EorJobScopesGetResponsesContentApplicationJsonSchemaItemsUpdatedBy:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
          description: Unique identifier of the user who last updated the job scope
        name:
          type:
            - string
            - 'null'
          description: Name of the user who last updated the job scope
      title: EorJobScopesGetResponsesContentApplicationJsonSchemaItemsUpdatedBy
    EorJobScopesGetResponsesContentApplicationJsonSchemaItemsSourceType:
      type: string
      enum:
        - MANUAL
        - AI
      description: Source of the job scope data
      title: EorJobScopesGetResponsesContentApplicationJsonSchemaItemsSourceType
    EorJobScopesGetResponsesContentApplicationJsonSchemaItems:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the job scope
        team:
          $ref: >-
            #/components/schemas/EorJobScopesGetResponsesContentApplicationJsonSchemaItemsTeam
        title:
          type: string
          description: Title or name of the job scope
        content:
          type: string
          description: Detailed description of the job scope
        personal:
          type:
            - string
            - 'null'
          description: Identifier from the team or the profile, whichever is available
        created_at:
          type: string
          description: Timestamp of when the job scope was created
        created_by:
          $ref: >-
            #/components/schemas/EorJobScopesGetResponsesContentApplicationJsonSchemaItemsCreatedBy
        updated_at:
          type: string
          description: Timestamp of when the job scope was last updated
        updated_by:
          $ref: >-
            #/components/schemas/EorJobScopesGetResponsesContentApplicationJsonSchemaItemsUpdatedBy
        source_type:
          $ref: >-
            #/components/schemas/EorJobScopesGetResponsesContentApplicationJsonSchemaItemsSourceType
          description: Source of the job scope data
        organization_id:
          type:
            - string
            - 'null'
          description: Identifier of the associated organization, if any
      title: EorJobScopesGetResponsesContentApplicationJsonSchemaItems
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    EorJobScopesGetResponsesContentApplicationJsonSchemaError:
      type: string
      enum:
        - No organization is linked with the profile
        - No teams found for this organization
      description: Error message indicating the missing entity
      title: EorJobScopesGetResponsesContentApplicationJsonSchemaError
    ListOfJobScopeTemplatesForEorContractsRequestNotFoundError:
      type: object
      properties:
        error:
          $ref: >-
            #/components/schemas/EorJobScopesGetResponsesContentApplicationJsonSchemaError
          description: Error message indicating the missing entity
      title: ListOfJobScopeTemplatesForEorContractsRequestNotFoundError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/eor/job-scopes"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/eor/job-scopes';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/eor/job-scopes"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/eor/job-scopes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/eor/job-scopes")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/eor/job-scopes', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/eor/job-scopes");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/eor/job-scopes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```